Dark Avenger is like a dark reflection of a Paladin. Therefore the combat style, party play and role during Siege Battle is similar to a Paladin. However, Paladins use magic to help others while Dark Avengers are selfish and evil using Black Magic.
That is why they have the basic skill of increasing their defense status like a Paladin and can poison opponents, letting them receive the damage you got.
To be a Dark Avenger, your level must be over 40 and you need to collect the Mark of Duty, the Mark of Trust, and the Mark of Witchcraft.
Ask about marks.
Return